<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HLS Player</title>
</head>

<body>
    <video id="video" width="500" height="500" controls></video>
    <script src="http://cdn.jsdelivr.net/npm/hls.js@latest"></script>
    <script>
        const video = document.getElementById('video');
        const videoSrc = '/video/output.m3u8';

        if(Hls.isSupported()) {
            const hls = new Hls();
            hls.loadSource(videoSrc);
            hls.attachMedia(video);
            hls.on(Hls.Events.MANIFEST_PARSED, () => {
                video.play();
            });
        } else if (video.canPayType('application/vnd.apple.mpegurl')) {
            video.src = videoSrcl
            video.addEventListener('loadedmetadata', () => {
                video.play();
            })
        }
    </script>
</body>
</html>